diff --git a/tests/testcommon.c b/tests/testcommon.c
index f366b60b90..7e71f63975 100644
--- a/tests/testcommon.c
+++ b/tests/testcommon.c
@@ -576,6 +576,11 @@ test_name_matching (void)
                                                   (const char *[]){"org.gnome.Characters.*", NULL},
                                                    TRUE);
   g_assert_true (res);
+
+  res = flatpak_name_matches_one_wildcard_prefix ("org.example.Example.Tracker1.Miner.Applications",
+                                                  (const char *[]){"org.example.Example.*", NULL},
+                                                   TRUE);
+  g_assert_true (res);
 }
 
 static void
